## org.apache.axis.components.net
Interface TransportClientProperties

All Known Implementing Classes:
  DefaultHTTPTransportClientProperties

public interface TransportClientProperties

Author:
  Richard A. Sitze

Method Summary
`java.lang.String` `getNonProxyHosts()` Returns a valid String, may be empty ("").
`java.lang.String` `getProxyHost()` Returns a valid String, may be empty ("").
`java.lang.String` `getProxyPassword()` Returns a valid String, may be empty ("").
`java.lang.String` `getProxyPort()` Returns a valid String, may be empty ("").
`java.lang.String` `getProxyUser()` Returns a valid String, may be empty ("").

Method Detail

### getProxyHost

    public java.lang.String getProxyHost()

  Returns a valid String, may be empty ("").

### getNonProxyHosts

    public java.lang.String getNonProxyHosts()

  Returns a valid String, may be empty ("").

### getProxyPort

    public java.lang.String getProxyPort()

  Returns a valid String, may be empty ("").

### getProxyUser

    public java.lang.String getProxyUser()

  Returns a valid String, may be empty ("").

### getProxyPassword

    public java.lang.String getProxyPassword()

  Returns a valid String, may be empty ("").

Copyright © 2005 Apache Web Services Project. All Rights Reserved.